Name:           perl-CGI-Untaint
Version:        1.26
Release:        2%{?dist}
Summary:        Process CGI input parameters
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/CGI-Untaint/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/CGI-Untaint-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(UNIVERSAL::require)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.

%prep
%setup -q -n CGI-Untaint-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/CGI
%{_mandir}/man3/*.3*


%changelog
* Thu Sep 14 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.26-2
- bump for fc-6

* Thu Jan  5 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.26-1
- bump to 1.26

* Wed Aug 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.25-3
- minor cleanups

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.25-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.25-1
- Initial package for Fedora Extras
